<?php
/*****************************************************************************
 * Guest.php
 * Contains key class Guest, derived from User.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

/**
 * Guest model; sets typical guest settings to the common attributes.
 */
class Guest extends User
{
	/**
	 * Constructor for the Guest class. Sets common attributes.
	 */
	public function __construct()
	{
		$this->id_user = 0;
		$this->is_logged = false;
		$this->is_guest = true;
		$this->is_admin = false;
		$this->first_name = 'Guest';
		$this->surname = '';
	}

	public function updateAccessTime()
	{
		return true;
	}
}
